Cannot import SimpleCV

asked 2016-09-19 02:14:14 -0600

Mikebarson gravatar image

I'm working on a mac. I've installed the SimpleCV following the README.md file instructions for the mac. However I skipped XCODE instructions because my current OS version cannot download XCode. I did follow the rest of the instructions. On running Python I import OpenCV first like so:

> import cv2 >

Then imported SimpleCV like so:

> import SimpleCV >

However I'm getting this error:

Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/init.py", line 3, in <module> from SimpleCV.base import * File "/usr/local/lib/python2.7/site-packages/SimpleCV-1.3-py2.7.egg/SimpleCV/base.py", line 59, in <module> raise ImportError("Cannot load OpenCV library which is required by SimpleCV") ImportError: Cannot load OpenCV library which is required by SimpleCV

I've a read a 2014 post of almost the same problem. The comment there was that simpleCV was only compatible with OpenCV 2.4.2. However, my current OpenCV is 3.1.0. I was wondering if there is now a fix around to this. Thanks!

edit retag flag offensive close merge delete